View Issue Details

IDProjectCategoryView StatusLast Update
0002057FreeCADBugpublic2015-10-10 22:26
Reportershoogen Assigned Towmayer  
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002057: BoundBox.h doesn't work with 2D objects
DescriptionFreeCAD supports 2D geometry. But the BoundingBox implementation won't find an intersection if all Z coordinates are 0.
Steps To Reproduce>>> FreeCAD.BoundBox(-2,-1,0,2,1,0).isIntersection(FreeCAD.BoundBox(-1,-2,0,1,2,0))
False
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0002050 closedyorik FreeCAD freezes when adding a Draft Dimension 

Activities

shoogen

2015-04-15 08:36

developer   ~0006026

// Checks if point K lies on the ray [A,B[
 #define IS_ON_RAY(A,B,K) (((A) <= (K)) && ((B) > (K)))

shoogen

2015-04-15 13:18

developer   ~0006027

I created the branch github.com/5263FreeCAD dev-bb
But it crashes FreeCAD in distToShape again.

wmayer

2015-10-10 22:26

administrator   ~0006492

FreeCAD.BoundBox(-2,-1,0,2,1,0).intersect(FreeCAD.BoundBox(-1,-2,0,1,2,0))
==> True

Related Changesets

FreeCAD: master a4d1dbe5

2015-10-11 00:18:53

wmayer

Details Diff
+ rework BoundingBox class and its Python binding Affected Issues
0002057
mod - src/App/PreCompiled.h Diff File
mod - src/Base/BoundBox.h Diff File
mod - src/Base/BoundBoxPy.xml Diff File
mod - src/Base/BoundBoxPyImp.cpp Diff File
mod - src/Base/PreCompiled.h Diff File
mod - src/Base/Tools2D.h Diff File
mod - src/Gui/CommandView.cpp Diff File
mod - src/Gui/GLPainter.h Diff File
mod - src/Gui/SoFCSelection.h Diff File
mod - src/Gui/SoFCUnifiedSelection.h Diff File
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/DraftGeomUtils.py Diff File
mod - src/Mod/Drawing/Gui/TaskOrthoViews.cpp Diff File
mod - src/Mod/Drawing/Gui/ViewProviderPage.cpp Diff File
mod - src/Mod/Drawing/Gui/ViewProviderView.cpp Diff File
mod - src/Mod/Inspection/App/InspectionFeature.cpp Diff File
mod - src/Mod/Inspection/Gui/PreCompiled.h Diff File
mod - src/Mod/Mesh/App/Core/Algorithm.cpp Diff File
mod - src/Mod/Mesh/App/Core/Elements.cpp Diff File
mod - src/Mod/Mesh/App/Core/Grid.cpp Diff File
mod - src/Mod/Mesh/App/Core/Grid.h Diff File
mod - src/Mod/Mesh/App/Core/MeshKernel.cpp Diff File
mod - src/Mod/Mesh/App/Core/Projection.cpp Diff File
mod - src/Mod/Mesh/App/Core/TopoAlgorithm.cpp Diff File
mod - src/Mod/Mesh/Gui/Command.cpp Diff File
mod - src/Mod/Mesh/Gui/SoFCMeshObject.cpp Diff File
mod - src/Mod/Mesh/Gui/ViewProviderTransformDemolding.cpp Diff File
mod - src/Mod/Part/App/PreCompiled.h Diff File
mod - src/Mod/Part/Gui/CrossSections.cpp Diff File
mod - src/Mod/Part/Gui/PreCompiled.h Diff File
mod - src/Mod/Part/Gui/ViewProviderMirror.cpp Diff File
mod - src/Mod/Points/App/PointsGrid.cpp Diff File
mod - src/Mod/Points/Gui/PreCompiled.h Diff File
mod - src/Mod/Points/Gui/ViewProvider.cpp Diff File
mod - src/Mod/ReverseEngineering/App/ApproxSurface.cpp Diff File
mod - src/Mod/Sandbox/Gui/Command.cpp Diff File
mod - src/Mod/Sketcher/App/PreCompiled.h Diff File
mod - src/Mod/Spreadsheet/App/PreCompiled.h Diff File
mod - src/Mod/Test/BaseTests.py Diff File

Issue History

Date Modified Username Field Change
2015-04-15 08:22 shoogen New Issue
2015-04-15 08:22 shoogen Status new => assigned
2015-04-15 08:22 shoogen Assigned To => wmayer
2015-04-15 08:22 shoogen Relationship added child of 0002050
2015-04-15 08:36 shoogen Note Added: 0006026
2015-04-15 12:57 shoogen Assigned To wmayer => shoogen
2015-04-15 13:18 shoogen Note Added: 0006027
2015-04-25 09:59 shoogen Assigned To shoogen =>
2015-04-25 09:59 shoogen Status assigned => new
2015-10-10 22:25 wmayer Changeset attached => FreeCAD Master master a4d1dbe5
2015-10-10 22:26 wmayer Note Added: 0006492
2015-10-10 22:26 wmayer Status new => closed
2015-10-10 22:26 wmayer Assigned To => wmayer
2015-10-10 22:26 wmayer Resolution open => fixed
2015-10-10 22:26 wmayer Fixed in Version => 0.16